Date:	Fri, 5 Jan 1996 20:34:57 -1000
From:	pcreel@sos.net (Paul Creelman)
Message-Id: <pcreel.24.30EE1811@sos.net>
Organization: Skagit On-Line Services
Subject: urgent: need laser replacement for medical transcription! which one?

need to print on 5 1/2 X 7 1/2 paper in stacks
need durability/reliability even if it costs more
need it yesterday!
any suggestions please
thanks in advance I need to pick one up by 1/8/96


 = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =


